<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
 * Copyright (C) 2008 - INRIA - Sylvestre Koumar
 * 
 * This file must be used under the terms of the CeCILL.
 * This source file is licensed as described in the file COPYING, which
 * you should have received as part of this distribution.  The terms
 * are also available at    
 * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
 *
 -->
<refentry version="5.0-subset Scilab" xml:id="xs2ppm" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns5="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>

  <refnamediv>
    <refname>xs2ppm</refname>

    <refpurpose>send graphics to a PPM file.</refpurpose>
  </refnamediv>

  <refsynopsisdiv>
    <title>Calling Sequence</title>

    <synopsis>xs2ppm(win_num, file_name)
xs2ppm(fig, file_name)</synopsis>
  </refsynopsisdiv>

  <refsection>
    <title>Parameters</title>

    <variablelist>
      <varlistentry>
        <term>win_num</term>

        <listitem>
          <para>integer, id of the figure to export.</para>
        </listitem>
      </varlistentry>
	  
	  <varlistentry>
        <term>fig</term>

        <listitem>
          <para>handle of the figure to export.</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>file_name</term>

        <listitem>
          <para>string, name of the exported file.</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>

  <refsection>
    <title>Description</title>

    <para><literal>xs2ppm</literal> exports the display of a graphic window into a PPM file.</para>
  </refsection>

  <refsection>
    <title>Examples</title>

    <programlisting role="example"><![CDATA[ 
scf(0)
plot2d()
//PPM export
filename='foo.ppm';
xs2ppm(0,filename);
 ]]></programlisting>
  </refsection>

  <refsection>
    <title>See Also</title>

    <simplelist type="inline">
      <member><link linkend="xs2bmp">xs2bmp</link></member>

      <member><link linkend="xs2gif">xs2gif</link></member>

      <member><link linkend="xs2jpg">xs2jpg</link></member>

      <member><link linkend="xs2png">xs2png</link></member>

      <member><link linkend="xs2eps">xs2eps</link></member>

      <member><link linkend="xs2pdf">xs2pdf</link></member>

      <member><link linkend="xs2svg">xs2svg</link></member>

      <member><link linkend="xs2ps">xs2ps</link></member>

      <member><link linkend="xs2fig">xs2fig</link></member>

      <member><link linkend="xs2emf">xs2emf</link></member>
    </simplelist>
  </refsection>
</refentry>
